//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace CallMgrSystem.Models
{
    using System;
    using System.Collections.Generic;
    
    public partial class tbl_Devices
    {
        public int ID { get; set; }
        public int SiteID { get; set; }
        public string Number { get; set; }
        public string Name { get; set; }
        public int Type { get; set; }
        public string Description { get; set; }
        public Nullable<bool> Monitored { get; set; }
        public Nullable<System.DateTime> MonitoringBegin { get; set; }
        public Nullable<int> CrossrefID { get; set; }
        public Nullable<int> ServiceCrossRefID { get; set; }
        public Nullable<int> MonitorStartInvokeID { get; set; }
        public Nullable<int> MonitorStopInvokeID { get; set; }
        public Nullable<int> DeviceSnapshotInvokeID { get; set; }
        public Nullable<int> AgentStateInvokeID { get; set; }
        public Nullable<int> Status { get; set; }
        public Nullable<System.DateTime> StatusBegin { get; set; }
        public Nullable<System.DateTime> LastStatusUpdate { get; set; }
        public string CallID { get; set; }
        public string AgentNumber { get; set; }
        public Nullable<System.DateTime> LastSelected { get; set; }
        public Nullable<System.DateTime> SetAgentUnavailable { get; set; }
        public Nullable<int> CarrierID { get; set; }
        public Nullable<int> BillingPolicyID { get; set; }
        public Nullable<int> RecordingType { get; set; }
        public Nullable<int> RecorderID { get; set; }
        public Nullable<int> RecorderChannel { get; set; }
        public string RecordingCode { get; set; }
        public Nullable<int> TimeSlot { get; set; }
        public Nullable<int> DIOPort { get; set; }
    }
}
